petsc-3.12.1 2019-10-22
Report Typos and Errors

# TaoGetTolerances

gets the current values of tolerances

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoGetTolerances(Tao tao, PetscReal *gatol, PetscReal *grtol, PetscReal *gttol)

Not Collective

### Input Parameters

tao -the Tao context

### Output Parameters

| gatol | - stop if norm of gradient is less than this
| grtol | - stop if relative norm of gradient is less than this
| gttol | - stop if norm of gradient is reduced by a this factor

Note: NULL can be used as an argument if not all tolerances values are needed

### See Also

TaoSetTolerances()

### Level

intermediate

### Location

src/tao/interface/taosolver.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages